EphySpinner
3
EPIPHANY Library

# EphySpinner

## Synopsis

                        EphySpinner;
    GtkWidget*          ephy_spinner_new                    (void);
    void                ephy_spinner_start                  (EphySpinner *throbber);
    void                ephy_spinner_stop                   (EphySpinner *throbber);
    void                ephy_spinner_set_size               (EphySpinner *spinner,
                                                             GtkIconSize size);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----EphySpinner

## Implemented Interfaces

EphySpinner implements AtkImplementorIface and GtkBuildable.

## Description

## Details

### EphySpinner

    typedef struct _EphySpinner EphySpinner;

### ephy_spinner_new ()

    GtkWidget*          ephy_spinner_new                    (void);

Creates a new EphySpinner. The spinner is a widget that gives the user feedback about network status with an animated image.

Returns :

  the spinner GtkWidget

### ephy_spinner_start ()

    void                ephy_spinner_start                  (EphySpinner *throbber);

Starts the spinner animation.

`throbber` :

### ephy_spinner_stop ()

    void                ephy_spinner_stop                   (EphySpinner *throbber);

Stops the spinner animation.

`throbber` :

### ephy_spinner_set_size ()

    void                ephy_spinner_set_size               (EphySpinner *spinner,
                                                             GtkIconSize size);

Set the size of the spinner to `size`.

`spinner` :

  an EphySpinner

`size` :

  a new size for the spinner, as a GtkIconSize